OpenJPEG: opj_encoding_param Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_encoding_param Struct Reference

`#include <j2k.h>`

## Data Fields
OPJ_UINT32 | m_max_comp_size
| Maximum rate for each component.
OPJ_INT32 | m_tp_pos
| Position of tile part flag in progression order.
OPJ_INT32 * | m_matrice
| fixed layer
OPJ_BYTE | m_tp_flag
| Flag determining tile part generation.
OPJ_BITFIELD | m_disto_alloc: 1
| allocation by rate/distortion
OPJ_BITFIELD | m_fixed_alloc: 1
| allocation by fixed layer
OPJ_BITFIELD | m_fixed_quality: 1
| add fixed_quality
OPJ_BITFIELD | m_tp_on: 1
| Enabling Tile part generation.

## Field Documentation

## ◆ m_disto_alloc

OPJ_BITFIELD opj_encoding_param::m_disto_alloc

allocation by rate/distortion

Referenced by opj_j2k_setup_encoder(), opj_tcd_rate_allocate_encode(), and opj_tcd_rateallocate().

## ◆ m_fixed_alloc

OPJ_BITFIELD opj_encoding_param::m_fixed_alloc

allocation by fixed layer

Referenced by opj_j2k_setup_encoder().

## ◆ m_fixed_quality

OPJ_BITFIELD opj_encoding_param::m_fixed_quality

add fixed_quality

Referenced by opj_j2k_setup_encoder(), opj_tcd_rate_allocate_encode(), and opj_tcd_rateallocate().

## ◆ m_matrice

OPJ_INT32* opj_encoding_param::m_matrice

fixed layer

Referenced by opj_j2k_cp_destroy(), opj_j2k_setup_encoder(), and opj_tcd_makelayer_fixed().

## ◆ m_max_comp_size

OPJ_UINT32 opj_encoding_param::m_max_comp_size

Maximum rate for each component.

If == 0, component size limitation is not considered

Referenced by opj_j2k_setup_encoder(), and opj_t2_encode_packets().

## ◆ m_tp_flag

OPJ_BYTE opj_encoding_param::m_tp_flag

Flag determining tile part generation.

Referenced by opj_j2k_get_num_tp(), and opj_j2k_setup_encoder().

## ◆ m_tp_on

OPJ_BITFIELD opj_encoding_param::m_tp_on

Enabling Tile part generation.

Referenced by opj_j2k_get_num_tp(), opj_j2k_setup_encoder(), opj_j2k_update_rates(), opj_pi_create_encode(), opj_pi_initialise_encode(), opj_t2_decode_packets(), and opj_t2_encode_packets().

## ◆ m_tp_pos

OPJ_INT32 opj_encoding_param::m_tp_pos

Position of tile part flag in progression order.

Referenced by opj_j2k_get_num_tp(), and opj_tcd_init().

The documentation for this struct was generated from the following file:

- j2k.h